local mod = ...



-- Resource: Desert -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_DESERT" )

mod:registerAsset({
	DataType = "RESOURCE",
	Id = "RESOURCE_DESERT",
	ResourceName = "RESOURCE_DESERT_NAME",
	Icon = "ICON_RESOURCE_WATER",
    ResourceTypeList = { "RESOURCE_TYPE_DESERT", },
	IsTradable = false,
	DisplayInInventory = false,
    DisplayInToolbar = false,
})



-- Asset: Desert -------------------------------------------------------------------------------------
mod:registerAssetProcessor("models/Desert4.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })
mod:registerAssetId("models/Desert4.fbx/Prefab/Desert", "PREFAB_IRRIGATION_DESERT" )

mod:registerAssetId("models/Desert4.fbx/Materials/Material.Stone", "MATERIAL_IRRIGATION_STONE")
mod:overrideAsset({
    Id = "MATERIAL_IRRIGATION_STONE",
    RenderMode = "DECAL",
    -- HasShadow = false,
})

mod:registerPrefabComponent( "PREFAB_IRRIGATION_DESERT", {
    DataType = "COMP_RESOURCE_CONTAINER",
    ResourceData = "RESOURCE_DESERT",
    IsReplenishable = false,
    ResourceValue = 0.0, -- how many are gathered with each pick
    AvailableQuantity = 2, -- maximum container stock
    Radius = 1.3, -- distance from container that the villager will stand to pick
    IsDestroyWhenEmpty = true,
})

mod:registerPrefabComponent("PREFAB_IRRIGATION_DESERT", { DataType = "COMP_PLANTABLE", MinSpaceBetweenPlant = 1.0 })
mod:registerPrefabComponent("PREFAB_IRRIGATION_DESERT", { DataType = "COMP_TREE" })
mod:registerPrefabComponent("PREFAB_IRRIGATION_DESERT", { DataType = "COMP_GROUNDED", AutoDisable = true })

mod:registerPrefabComponent("PREFAB_IRRIGATION_DESERT", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 3.0,
	SoftRadius = 10.0,
	Strength = 0.05,
})
